Package org.eclipse.core.databinding.property

# Interface ISimplePropertyListener<S,D extends IDiff>

Type Parameters:
  `S` - type of the source object
  `D` - type of the diff handled by this listener

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ISimplePropertyListener<S,D extends IDiff>
Listener for changes to properties on a particular source object

Since:
  1.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleEvent(SimplePropertyEvent<S,D> event)`
Handle the described property event.

## Method Details

### handleEvent

void handleEvent(SimplePropertyEvent<S,D> event)
Handle the described property event.

Parameters:
  `event` - the event which occurred